• Status: Solved
  • Priority: Medium
  • Security: Public
  • Views: 2002
  • Last Modified:

Windows CE 5 Emulation

So VS2010 doesn't support Win CE 5 emulation so have reinstalled VS2008. But, also my host PC Windows  7 - 64 bit doesn't support the emulator either so have installed Windows 7 - 32 bit within Virtual PC. But in VPC it says emulator weill not run one virtual machine within another. Any clues ?
0
cehrnow
Asked:
cehrnow
  • 3
  • 3
1 Solution
 
sognoctCommented:
windows ce 5.0 can run on windows 7 x64 without any problem, you can use all sdk also wm6. Maybe it is a virtual pc issue, I develop on a windows 7 x64 VS2005 and wm5sdk (not in virtual)

I installed "Windows Mobile 5.0 Pocket PC SDK.msi", according to stack overflow it runs well also on vs2008
0
 
cehrnowAuthor Commented:
So you run the Win CE 5 device emulator okay in W7 - 64 ?
0
 
sognoctCommented:
perfectly ... In my old desktop I used  w7 32, because I didn't want to risk, in my new desktop there was no risk, so I tried and worked also windows mobile 6 sdk, I deploy on windows mobile 5 or 6 without any problem. I prefer debug in real devices but also emulator works perfectly ... the decision to drop in vs2010 this kind of platform is a real problem, rugged and business device are vm 5, 6 ... or 6.5
0
Cloud Class® Course: Microsoft Office 2010

This course will introduce you to the interfaces and features of Microsoft Office 2010 Word, Excel, PowerPoint, Outlook, and Access. You will learn about the features that are shared between all products in the Office suite, as well as the new features that are product specific.

 
cehrnowAuthor Commented:
Thanks sognoct. Can now run on Mobile 5/6 emulators but still the Win CE 5 emulator does not appear in the list ?
0
 
sognoctCommented:
can create project for windows ce 5.0 but can't use the emulator ... but can debug on emulator mobile 5.0. There are not so much differences in logic, the compiled project can work on all the mobile devices (from 4.2 to 6.5, also CE and PPC) that have a CF installed. Usually the same exe can work on all arm devices running a CF, the only problem is that you can't use some methods (but they are really few) that are only CE5.0 native.
The only problem is the resolution that is variable, and you should take care of it.
Disable "deploy the latest version of the .NET compact framework (includin service pack)" for avoiding all deploying problems.
0
 
cehrnowAuthor Commented:
Excellent response, thanks.
0
Question has a verified solution.

Are you are experiencing a similar issue? Get a personalized answer when you ask a related question.

Have a better answer? Share it in a comment.

Join & Write a Comment

Featured Post

Upgrade your Question Security!

Your question, your audience. Choose who sees your identity—and your question—with question security.

  • 3
  • 3
Tackle projects and never again get stuck behind a technical roadblock.
Join Now